| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Table::ExportHandler Class Reference
General

`#include <tableconv.h>`

Inheritance diagram for Table::ExportHandler:
[legend]

## Public Member Functions
virtual | ~ExportHandler ()
virtual void | finish ()
uiString &virtual bool | init ()
| mOD_DisableCopy (ExportHandler) virtual bool putRow(const BufferStringSet &

## Static Public Member Functions
static bool | isNumber (const char *)

## Public Attributes
BufferString | append_
| After last record.
BufferString | prepend_
| Before first record. Add newline if needed.

## Protected Member Functions
| ExportHandler (od_ostream &)
uiString | getStrmMsg () const

## Protected Attributes
od_ostream & | strm_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~ExportHandler()

virtual Table::ExportHandler::~ExportHandler | ( |  | ) |
| virtual

## ◆ ExportHandler()

Table::ExportHandler::ExportHandler | ( | od_ostream & |  | ) |
| protected

## Member Function Documentation

## ◆ finish()

virtual void Table::ExportHandler::finish | ( |  | ) |
| virtual

## ◆ getStrmMsg()

uiString Table::ExportHandler::getStrmMsg | ( |  | ) | const
| protected

## ◆ init()

uiString &virtual bool Table::ExportHandler::init | ( |  | ) |
| virtual

## ◆ isNumber()

static bool Table::ExportHandler::isNumber | ( | const char * |  | ) |
| static

## ◆ mOD_DisableCopy()

Table::ExportHandler::mOD_DisableCopy | ( | ExportHandler |  | ) | const &

## Member Data Documentation

## ◆ append_

BufferString Table::ExportHandler::append_

After last record.

## ◆ prepend_

BufferString Table::ExportHandler::prepend_

Before first record. Add newline if needed.

## ◆ strm_

od_ostream& Table::ExportHandler::strm_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025